module DistanceFox
  #
  # DistanceFox.configure do |config|
  #  config.google_api_key = 'YOUR_API_KEY'
  # end
  #
  class << self
    attr_writer :configuration
  end

  def self.configuration
    @configuration ||= Configuration.new
  end

  def self.configure
    yield configuration
  end

  class Configuration
    attr_accessor :api_key
  end
end
